## plasma-widget-droptoimageshack 0.5.2

=== CMakeLists.txt ===
project(plasma-drop2imageshack)

cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
find_package(CURL REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
    ${CURL_INCLUDE_DIR})

set(drop2imageshack_SRCS
    drop2imageshack.cpp imageuploader.cpp progresslabel.cpp)

#kde4_add_ui_files(drop2imageshack_SRCS settings.ui theme.ui)
kde4_add_plugin(plasma_applet_drop2imageshack ${drop2imageshack_SRCS})
target_link_libraries(plasma_applet_drop2imageshack
    ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${CURL_LIBRARY})

install(TARGETS plasma_applet_drop2imageshack
    DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-drop2imageshack.desktop
    DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES plasma-applet-drop2imageshack.notifyrc
    DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-drop2imageshack)

=== debian/changelog ===
plasma-widget-droptoimageshack (0.5.2-0ubuntu3) maverick; urgency=low

  * Add kubuntu_01_constant_explicitly_qreal.diff to fix FTBS on armel

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 24 Jun 2010 04:14:31 +0200

plasma-widget-droptoimageshack (0.5.2-0ubuntu2) maverick; urgency=low

  * Add a build-dep on cmake since kdelibs5-dev doesn't depend on it anymore
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-dep version to 7.3.16 or greater
  * Switch from kde.mk to the KDE debhelper sequence from pkg-kde-tools
  * Bump Standards-Version to 3.8.4

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:31:31 -0400

plasma-widget-droptoimageshack (0.5.2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #405046)
  * Transition to kde.mk from pkg-kde-tools:
    - Include kde.mk and debhelper.mk in debian/rules
    - Bump debhelper build-dep in debian/control to 7
    - Bump compat to 7
  * Bump Standards-Version to 3.8.2, no changes necessary

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Jul 2009 23:41:48 +0200

plasma-widget-droptoimageshack (0.4.2-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #375016)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Mon, 11 May 2009 18:59:25 +0200

=== debian/control ===
Source: plasma-widget-droptoimageshack
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev, libcurl4-openssl-dev
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Drop+To+Imageshack?content=104592

Package: plasma-widget-droptoimageshack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget which can upload images to Imageshack.us
 Just drag and drop your image to the widget, or click to it to upload desktop
 screenshot. The main features are upload history and upload progress.
